View Issue Details

IDProjectCategoryView StatusLast Update
0015887LazarusIDEpublic2013-02-15 19:31
ReporterWimpie NortjeAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi386OSLinuxOS VersionKubuntu 9.10
Product Version0.9.29 (SVN)Product Build23789 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0015887: Feature request: Autoextend comment blocks
DescriptionIt would be useful if comment block formats are extended when a new line is added in the block.

For example, I often us comments that look like this
{* Name
 * Description blah blah
 *}

If enter is pressed inside this comment, the next line should start with a "_*_" to enable typing on the new line without worrying about the comment formatting.

Comment blocks come in a multitude of shapes. Detecting what initial characters should be used on each line may be difficult. My suggestion is that everything after the { up to and including the space should be used as a block edge, although I haven't given it much thought.
TagsNo tags attached.
Fixed in Revision39605
LazTarget1.2
Widgetset
Attached Files

Relationships

has duplicate 0023885 closedMartin Friebe Feature request for multi line comments (especially Borland style ( (* *) ) ones) 

Activities

Bart Broersma

2010-03-04 12:02

developer   ~0034931

Just an observation.

I occasionally use * or - to make list items in a comment.

{ ************** unit x **********************
 Bla
 Bla
 * Item 1
 * Item 2
  More Bla
 ******************************************** }

I would not expect to start each new lien with _*_ in that case.

Martin Friebe

2012-12-21 00:37

manager   ~0064381

Implemented as option

Please test

Issue History

Date Modified Username Field Change
2010-03-03 21:37 Wimpie Nortje New Issue
2010-03-04 11:39 Martin Friebe LazTarget => post 1.2
2010-03-04 11:39 Martin Friebe Status new => confirmed
2010-03-04 12:02 Bart Broersma Note Added: 0034931
2012-12-21 00:37 Martin Friebe Fixed in Revision => 39605
2012-12-21 00:37 Martin Friebe LazTarget post 1.2 => 1.2
2012-12-21 00:37 Martin Friebe Status confirmed => resolved
2012-12-21 00:37 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-12-21 00:37 Martin Friebe Resolution open => fixed
2012-12-21 00:37 Martin Friebe Assigned To => Martin Friebe
2012-12-21 00:37 Martin Friebe Note Added: 0064381
2012-12-21 00:37 Martin Friebe Target Version => 1.2.0
2013-02-15 19:31 Sven Barth Relationship added has duplicate 0023885